

<div class="container-fluid">
    <div class="block-header">
        <h2>Manage Features > Questions > Manage Answers</h2>
    </div>
    <!-- Vertical Layout -->
    <div class="row">
        <div class="col-lg-12 col-md-12">
            <div class="card">
                <div class="header">
                    <h2>Manage Answers</h2>
                </div>
                <div class="body">
                   <input type="hidden" id="hash_id" name="hash_id" value="<?php echo Wo_CreateSession();?>">
                   <div class="clearfix"></div>
                   <div class="table-responsive1">
                        <table class="table table-bordered table-striped table-hover">
                            <thead>
                            <tr>
                                <th>ID</th>
                                <th>User</th>
                                <th>Answer</th>
                                <th>Reply's</th>
                                <th>Shares</th>
                                <th>Anonymously</th>
                                <th>Status</th>
                                <th>Publish date</th>
                                <th>Action</th>
                            </tr>
                            </thead>
                            <tbody>
                               <?php 
                                $question_id = (!empty($_GET['question_id'])) ? $_GET['question_id'] : null;
                                if($question_id){
                                    $array=array('limit' => 600,'question_id'=>$question_id);
                                }else{
                                    $array=array('limit' => 600);
                                }
				                foreach (Wo_GetQuestions($array) as $wo['key'] => $wo['question']) {
                                  
                                  if( $wo['question']['ask_user_id'] > 0 && $wo['question']['ask_question_id'] > 0 && $wo['question']['shared_user_id'] == 0 && $wo['question']['shared_question_id'] == 0 && $wo['question']['replay_user_id'] == 0 && $wo['question']['replay_question_id'] == 0 ){
                                    echo Wo_LoadAdminPage('manage-answers/list');
                                }
				                }
				               ?>    
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <div class="clearfix"></div>
    </div>
    <!-- #END# Vertical Layout -->
<div class="modal fade" id="delete-question">
   <div class="modal-dialog">
      <div class="modal-content modal-col-red">
         <div class="modal-header">
            <h4 class="modal-title"><i class="fa fa-exclamation-circle"></i> Delete Question</h4>
         </div>
         <div class="modal-body">
            <p>Are you sure that you want to delete tnis question?</p>
         </div>
         <div class="modal-footer">
            <button  type="button" onclick="Wo_DeleteQuestion($('#delete-question').attr('data-question-ident'))" class="btn  btn-link">DELETE</button>
            <button  type="button" class="btn btn-link" data-dismiss="modal">CLOSE</button>
         </div>
      </div>
   </div>
</div>
<script>
$(function () {
	$('table').DataTable();
});

$(document).on('click', '.delete-question', function(event) {
    $("#delete-question").attr('data-question-ident', $(this).attr('id')).modal('show');
});


function Wo_DeleteQuestion(id){
    	if (!id) {
    		return false;
    	}
    	$("#delete-question").modal('hide');
		$("tr[data-question-id="+id+"]").slideUp(function(){
			$(this).remove();
		});
    	$.ajax({
            url: Wo_Ajax_Requests_File() + '?f=questions&s=delete',
    		type: 'POST',
    		dataType: 'json',
    		data: {hash_id:'<?php echo Wo_CreateSession()?>',question_id:id},
    	});
    }
</script>